# $Revision: 1.29.2.5 $, $Date: 2005/10/17 09:07:27 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	Netmask
Summary:	Net::Netmask - parse, manipulate and lookup IP network blocks
Summary(pl):	Net::Netmask - analiza, obrbka i wyszukiwanie blokw sieci IP
Name:		perl-Net-Netmask
Version:	1.9012
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3d81d214e0203863dbc170029f2d3502
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Netmask parses and understands IPv4 CIDR blocks. It's built with
an object-oriented interface. Nearly all functions are methods that
operate on a Net::Netmask object.

%description -l pl
Modu Net::Netmask analizuje i rozumie bloki CIDR IPv4. Ma obiektowo
zorientowany interfejs. Prawie wszystkie funkcje s metodami
operujcymi na obiekcie Net::Netmask.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGELOG
%{perl_sitelib}/Net/Netmask.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-Netmask.spec,v $
Revision 1.29.2.5  2005/10/17 09:07:27  hawk
- updated to 1.9012

Revision 1.29.2.4  2003/09/09 11:12:34  ankry
- spaces -> tabs

Revision 1.29.2.3  2003/07/11 12:03:07  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.29.2.2  2003/04/28 12:51:52  ankry
- really rel++

Revision 1.29.2.1  2003/03/13 00:58:16  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.29  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.28  2003/02/18 15:37:10  ankry
- massive attack: change CPAN URLs

Revision 1.27  2002/08/15 17:51:16  qboosh
- pl description, new %%doc, removed tests from doc, release 7

Revision 1.26  2002/08/11 19:36:48  radek
- release up

Revision 1.25  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.24  2002/07/10 08:48:12  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.23  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.22  2002/02/25 10:33:15  depesz
cleanup; revision++

Revision 1.21  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/13 14:19:00  depesz
automatic: Source location unfied, Relase Up

Revision 1.19  2002/02/10 15:29:41  depesz
adapterized

Revision 1.18  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2002/01/04 13:45:38  blues
- release 3
- added sample to documentation (it IS important!)

Revision 1.16  2001/11/28 15:20:20  mis
- buildarch noarch; release++

Revision 1.15  2001/11/27 16:45:26  mis
- autoupdated to 1.9002

Revision 1.14  2001/10/10 15:23:05  mis
- autoupdated to 1.9001

Revision 1.13  2001/05/18 22:35:45  kloczek
- updated to 1.9.

Revision 1.12  2001/04/17 12:13:28  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/19 06:02:55  kloczek
- do not include .packlist in %files,
- spec adapterized.

Revision 1.9  2001/01/13 01:07:09  dobrek
-Req:perl>=5.6 ;Realase=2;New rpm automat

Revision 1.8  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:34:29  pius
- updated to 1.8

Revision 1.2  1999/11/05 23:57:53  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
